Postgres 9.2 installation unter debian squeeze: keine passende libpq5

Hallo,

bei der Installation von Postgres 9.2 aus PostgreSQL in Debian
gibt es noch kein Packet libpq5 (>=9.2~beta3):

Beim eintragen von:
deb http://pgapt.debian.net/ squeeze-pgapt main
in sources.list
Bekomme ich die Meldung:
Konflikt bei Distribution: http://pgapt.debian.net squeeze-pgapt Release (squeeze-pgapt erwartet, aber squeeze-pgdg bekommen)
Daher habe ich:
deb http://pgapt.debian.net/ squeeze-pgdg main
eingetragen.
apt-key add ACCC4CF8.asc habe ich ausgeführt.

postgresql-contrib-9.2:
Hängt ab von: libpq5 (>=9.2~beta3) aber 9.1.5-1~bpo60+1 wird installiert

Hat jemand eine Idee woher bzw. wann ein entsprechendes Paket zur Verfügung steht?

Das gleiche Problem besteht übrigens auch unter SuSE 12.2!

Grüße

Michael

Antwort von Christoph:

Wir ziehen gerade auf einen neuen Host um, und leider bedeutet das, dass das Archiv gerade nicht akutell ist. Ich habe gerade eine akutelle Kopie hingelegt, die aber immer noch nur Beta 3 enthält. Das libpq5-Paket bekommt man mit: deb http://pgapt.debian.net/ squeeze-pgapt main 9.2 Sobald ich 9.2.0 dort gebaut habe, kann das “9.2” dann wieder weg.

Geht jetzt auch ohne 9.2 hinter main:
deb PostgreSQL in Debian squeeze-pgdg main
Allerdings squeeze-pgdg statt squeeze-pgapt

Hinweis auf der Seite PostgreSQL in Debian:**The distribution names changed from *-pgapt to -pgdg, please update your sources.list.
*

Die Debian-Pakete für PostgreSQL 9.2.1 sind hier seit dem 26.09.2012 verfügbar.

Danke für die gute Arbeit!

Hallo

Versuche gerade auf Debin 6 Postgresql 9.2 zu installieren.

Habe in sources.list eingetragen
deb PostgreSQL in Debian squeeze-pgdg main

danach
apt-get update
apt-get install postgresql-9.2

Fehlermeldung:
postgresql-9.2 : Depende: libpq5 (>= 9.1~) pero 8.4.13-0squeeze1 va a ser instalado
Depende: postgresql-client-9.2 pero no va a instalarse
Depende: postgresql-common (>= 135~) pero 113+squeeze1 va a ser instalado

Was mache ich falsch ? oder wo bekomme ich eine libpg5 für 9.2 her?

Danke